Loading...
Searching...
No Matches
apr_poll.h File Reference

APR Poll interface. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_inherit.h"`
`#include "apr_file_io.h"`
`#include "apr_network_io.h"`
Include dependency graph for apr_poll.h:

Go to the source code of this file.

## Data Structures

union | apr_descriptor
struct | apr_pollfd_t

## Macros

#define | APR_POLLIN 0x001
#define | APR_POLLPRI 0x002
#define | APR_POLLOUT 0x004
#define | APR_POLLERR 0x010
#define | APR_POLLHUP 0x020
#define | APR_POLLNVAL 0x040
#define | APR_POLLSET_THREADSAFE 0x001
#define | APR_POLLSET_NOCOPY 0x002
#define | APR_POLLSET_WAKEABLE 0x004
#define | APR_POLLSET_NODEFAULT 0x010

## Typedefs

typedef struct apr_pollfd_t | apr_pollfd_t
typedef struct apr_pollset_t | apr_pollset_t
typedef struct apr_pollcb_t | apr_pollcb_t
typedef apr_status_t(* | apr_pollcb_cb_t) (void *baton, apr_pollfd_t *descriptor)

## Enumerations

enum | apr_pollset_method_e { APR_POLLSET_DEFAULT , APR_POLLSET_SELECT , APR_POLLSET_KQUEUE , APR_POLLSET_PORT , APR_POLLSET_EPOLL , APR_POLLSET_POLL , APR_POLLSET_AIO_MSGQ }
enum | apr_datatype_e { APR_NO_DESC , APR_POLL_SOCKET , APR_POLL_FILE , APR_POLL_LASTDESC }

## Functions

apr_status_t | apr_pollset_create (apr_pollset_t **pollset, apr_uint32_t size, apr_pool_t *p, apr_uint32_t flags)
apr_status_t | apr_pollset_create_ex (apr_pollset_t **pollset, apr_uint32_t size, apr_pool_t *p, apr_uint32_t flags, apr_pollset_method_e method)
apr_status_t | apr_pollset_destroy (apr_pollset_t *pollset)
apr_status_t | apr_pollset_add (apr_pollset_t *pollset, const apr_pollfd_t *descriptor)
apr_status_t | apr_pollset_remove (apr_pollset_t *pollset, const apr_pollfd_t *descriptor)
apr_status_t | apr_pollset_poll (apr_pollset_t *pollset, apr_interval_time_t timeout, apr_int32_t *num, const apr_pollfd_t **descriptors)
apr_status_t | apr_pollset_wakeup (apr_pollset_t *pollset)
apr_status_t | apr_poll (apr_pollfd_t *aprset, apr_int32_t numsock, apr_int32_t *nsds, apr_interval_time_t timeout)
const char * | apr_pollset_method_name (apr_pollset_t *pollset)
const char * | apr_poll_method_defname (void)
apr_status_t | apr_pollcb_create (apr_pollcb_t **pollcb, apr_uint32_t size, apr_pool_t *p, apr_uint32_t flags)
apr_status_t | apr_pollcb_create_ex (apr_pollcb_t **pollcb, apr_uint32_t size, apr_pool_t *p, apr_uint32_t flags, apr_pollset_method_e method)
apr_status_t | apr_pollcb_add (apr_pollcb_t *pollcb, apr_pollfd_t *descriptor)
apr_status_t | apr_pollcb_remove (apr_pollcb_t *pollcb, apr_pollfd_t *descriptor)
apr_status_t | apr_pollcb_poll (apr_pollcb_t *pollcb, apr_interval_time_t timeout, apr_pollcb_cb_t func, void *baton)
apr_status_t | apr_pollcb_wakeup (apr_pollcb_t *pollcb)
const char * | apr_pollcb_method_name (apr_pollcb_t *pollcb)

## Detailed Description

APR Poll interface.